Loading...
Searching...
No Matches
gr::audio::osx Namespace Reference

## Functions

void GR_AUDIO_API | get_num_channels_for_audio_device_id (AudioDeviceID ad_id, UInt32 *n_input, UInt32 *n_output)
void GR_AUDIO_API | find_audio_devices (const std::string &device_name, bool is_input, std::vector< AudioDeviceID > *all_ad_ids, std::vector< std::string > *all_names)

## Function Documentation

## find_audio_devices()

void GR_AUDIO_API gr::audio::osx::find_audio_devices | ( | const std::string & | device_name,
|  | bool | is_input,
|  | std::vector< AudioDeviceID > * | all_ad_ids,
|  | std::vector< std::string > * | all_names )

References GR_AUDIO_API.

## get_num_channels_for_audio_device_id()

void GR_AUDIO_API gr::audio::osx::get_num_channels_for_audio_device_id | ( | AudioDeviceID | ad_id,
|  | UInt32 * | n_input,
|  | UInt32 * | n_output )

References GR_AUDIO_API.